Subject: bug#19200: Point adjustemnt moves *into* invisible text

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2016 20:52:57 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 22 Mar 2016 14:36:10 -0400
> 
> > So what exactly is this bug about?
> 
> There are 2 odd behaviors:
> - point adjustment doesn't bring us to position 3 after C-n

Why is that a problem?  Position 3 is invisible, so we shouldn't
expect to end up with point there.

> - M-: (point) has the side-effect of bringing us to position 3
>   My guess here is that after the M-: command, at the end of
>   command_loop_1, last_point_position refers to a position in another
>   buffer (i.e. in the minibuffer), so it thinks there was a movement and
>   hence re-runs adjust_point_for_property, which this time gets it right.

Maybe.  If this is the bug to solve, I could look into it.  But your
original reports said this is actually the correct position of point,
a claim which I don't understand.